<template>
<div>
  <tabs :tabs="tabs" v-on:action="setAction"/>

  <v-container fluid>
    <v-row>
      <v-col cols="6" sm="4" md="3" v-for="(post, i) in posts" :key="i">
        <box-video :img="post.img" :uri="post.uri">
          <template slot="title">{{ post.title }}</template>
          <template slot="category">{{ post.category }}</template>
        </box-video>
      </v-col>
    </v-row>
  </v-container>
</div>
</template>

<script>
export default {
  name: 'IndexGallery',
  head () {
    return {
      title: 'Gallery'
    }
  },
  data () {
    return {
      tabs: [
        { title: 'Latest', action: 'latest' },
        { title: 'Popular', action: 'popplar' },
        { title: 'Playlist', action: 'playlist' }
      ],
      posts: [
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' }
      ]
    }
  },
  layout: 'panel',
  created () {
    this.setTitle()
  },
  methods: {
    setAction (action) {
      alert(action)
    },
    setTitle () {
      this.$store.commit('config/setTitle', 'Video Gallery')
    }
  }
}
</script>

<style>

</style>
